This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 157310 - ks.cfg "part swap ---recommended" has 2GB limit
ks.cfg "part swap ---recommended" has 2GB limit
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-10 11:01 EDT by Theo Miller
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-10 15:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Theo Miller 2005-05-10 11:01:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.1.4322)

Description of problem:
Ananconda has a 2GB swap partition limit when using the "part swap -recommended" option in a ks.cfg kickstart file

Version-Release number of selected component (if applicable):
anaconda for rhel3

How reproducible:
Always

Steps to Reproduce:
1. Create a kickstart file with the line "part swap --recommended"
2. Kickstart the system
3. Maximum swap partition size will be 2GB, even if it should be more
  

Actual Results:  Swap partition was 2GB on a systems with 4GB and 8GB physical ram in them

Expected Results:  Swap partition should have been two time the physical ram size

Additional info:
Comment 1 Jeremy Katz 2005-05-10 15:31:28 EDT
This is intentional.  Growing the swap partition beyond 2 GB in the general case
ends up leading to less of a performance improvement than you might otherwise
expect.

Note You need to log in before you can comment on or make changes to this bug.